import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class Displayer extends Frame
{

public TextArea info = new TextArea();


public Displayer(String file)
{
setSize(550,350);
setLocation(50,50);
setTitle("Info-box...");
setLayout(new BorderLayout());
setBackground(Color.lightGray);
info.setEditable(false);
info.setBackground(Color.lightGray);

addWindowListener(new WindowAdapter() {
    public void windowClosing(WindowEvent e) {dispose();}
                                        });

add("Center",info);
load(file);

setVisible(true);
}

private void load(String file)
{
 String data = "";
 String now = "";
try
{
 DataInput in = new DataInputStream(new FileInputStream(file));

  while( (data = in.readLine()) != null)
  {
   now = now + data + "\n";
  }
}
 catch (IOException e) {System.out.println(e+"@Displayer.load()");}

info.setText(now);
}

public Insets getInsets()
{
 Insets std = super.getInsets();
 return new Insets(std.top + 5, std.left + 5, std.bottom + 5, std. right + 5);
}

}
