import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

public class ExternList extends Frame implements ActionListener
{

public static boolean visible = true;

TextField prog1 = new TextField("nmap -sS " + JCon.host.getText());
Button prog1B = new Button("Exec");

TextField prog2 = new TextField("showmount -e " + JCon.host.getText());
Button prog2B = new Button("Exec");

TextField prog3 = new TextField("rpcinfo -p ");
Button prog3B = new Button("Exec");

TextField prog4 = new TextField("nslookup ");
Button prog4B = new Button("Exec");

TextField prog5 = new TextField("");
Button prog5B = new Button("Exec");

TextField prog6 = new TextField("");
Button prog6B = new Button("Exec");

Button allB = new Button("Go!");

public ExternList()
{

setSize(420,300);
setLocation(150,120);
setTitle("List");
setLayout(new GridLayout(7,2,10,10));
setBackground(Color.lightGray);

add(prog1);
add(prog1B);
prog1B.addActionListener(this);

add(prog2);
add(prog2B);
prog2B.addActionListener(this);

add(prog3);
add(prog3B);
prog3B.addActionListener(this);

add(prog4);
add(prog4B);
prog4B.addActionListener(this);

add(prog5);
add(prog5B);
prog5B.addActionListener(this);

add(prog6);
add(prog6B);
prog6B.addActionListener(this);

add(new Label("Execute all?"));
add(allB);
allB.addActionListener(this);

addWindowListener(new WindowAdapter() {
    public void windowClosing(WindowEvent e) {dispose();}
                                        });


if(visible) setVisible(true);
}

public void actionPerformed(ActionEvent e)
{
 if(e.getSource() == prog1B && !prog1.getText().equals("")) {startIt(prog1.getText());}
 if(e.getSource() == prog2B && !prog2.getText().equals("")) {startIt(prog2.getText());}
 if(e.getSource() == prog3B && !prog3.getText().equals("")) {startIt(prog3.getText());}
 if(e.getSource() == prog4B && !prog4.getText().equals("")) {startIt(prog4.getText());}
 if(e.getSource() == prog5B && !prog5.getText().equals("")) {startIt(prog5.getText());}
 if(e.getSource() == prog6B && !prog6.getText().equals("")) {startIt(prog6.getText());}

 if(e.getSource() == allB) {runAll();}
}

public void runAll()
{
  if(!prog1.getText().equals("")) startIt(prog1.getText());
  if(!prog2.getText().equals("")) startIt(prog2.getText());
  if(!prog3.getText().equals("")) startIt(prog3.getText());
  if(!prog4.getText().equals("")) startIt(prog4.getText());
  if(!prog5.getText().equals("")) startIt(prog5.getText());
  if(!prog6.getText().equals("")) startIt(prog6.getText());
}

public void startIt(String str)
{
  Process p;

  try {
  Runtime rd = Runtime.getRuntime();
  p = rd.exec(str);
  InputStream in = p.getInputStream();

  Character c = new Character(' ');

  while(c.hashCode() != 65535) 
  {
   JCon.info.append(c.toString());
   c = new Character((char)in.read());
   pause(5);
  }
  p.waitFor();
  JCon.info.append("\n");
      }
  catch(Exception ex) {}
}

public Insets getInsets()
{
 Insets std = super.getInsets();
 return new Insets(std.top + 5, std.left + 5, std.bottom + 5, std. right + 5);
}

private void pause(int time)
{
try {Thread.sleep(time);}
catch(Exception ex) {System.out.println(ex);}
}

}
