import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

public class Finger implements Runnable, ScannerInterface
{

/*
Simple finger-attempt on port 79
(sending "" and recieving the userlist)
*/

private boolean msg = true;
private String host;
private Thread runner;
private DataInputStream in;
private int buflen = 1000;
private String[] buffer = new String[buflen];
private boolean fin = false;
private boolean silent = false;

public Finger(String hostname)
{
 this(hostname, true);
}

public Finger(String hostname, boolean msg) 
{
 this.msg = msg;
 scan(hostname);
}

public Finger(String hostname, boolean msg, boolean silent)
{
 this.msg = msg;
 this.silent = silent;
 scan(hostname);
}

public String[] getBuffer()
{
 while(!fin) {pause(200);}
 return buffer;
}

private void scan(String host)
{
 this.host = host;
 runner = new Thread(this);
 runner.start();
}

public void run()
{
 if(msg) { JCon.status("Finger "+host);}

 try
 {
  JConnection jcon = new JConnection(host, 79);  
  if(!jcon.isThere()) {JCon.status("Port 79 closed.");}
  else 
  {
   jcon.send("");

in = new DataInputStream(jcon.getInetInputStream());

for(int i=0; i<buflen; i++)
{
 String tmp = in.readLine();
 if(tmp == null) {break;}
 else
 {
  if(!silent) {JCon.info.append(tmp+"\n");}
  buffer[i] = tmp;
 }
}

  }
 }
 catch(Exception ex) {System.out.println(ex);}

 if(msg) 
 {
  JCon.info.append("\n");
  JCon.status("Finished finger...");
 }

 fin = true;
}

public void setFin() {fin = true;}

private void pause(int time)
{ 
  try{Thread.sleep(time);} 
  catch(InterruptedException ex) {  JCon.status("Error!");} 
}

}
