import java.net.*;
import java.io.*;
import java.awt.*;

public class FlushReciever implements Runnable
{

/*
Basic Reciever
*/

private boolean debug = true;
private DataInputStream in;
private Thread reciever;
public boolean runAgain = true;
private String host;
private StringBuffer data = new StringBuffer();
public int buflen = 100;
private String buffer[] = new String[buflen];
private int cnt = 0;
private boolean appendHost = true;
private ScannerInterface scanner;

public FlushReciever(DataInputStream in, String host, ScannerInterface scanner)
{
 this(in,host,scanner,true);
}

public FlushReciever(DataInputStream in, String host, ScannerInterface scanner, boolean appendHost)
{
 this.in = in;
 this.host = host;
 this.scanner = scanner;
 this.appendHost = appendHost;
 reciever = new Thread(this);
 reciever.start();
}

public void run()
{
 
 int s;

 try
 {
  while(runAgain)
  {
   char s2 = (char) in.read();
   Character c = new Character(s2);
   if(s2 == StreamTokenizer.TT_EOL) 
   {
    if(data.length() > 0 && appendHost) {data.insert(data.length()-1,"  ["+host+"]");}
    data.append("\n");
    buffer[cnt] = data.toString();
    if(debug) {System.out.print(data.toString());}
    cnt++;
    data = new StringBuffer();
   }
 else 
 {

if(c.hashCode() != 65535) 
{
  data.append(c.toString());
}
  }
   pause(5);
  }
 }
 catch(Exception ex) 
 {
 pause(1000);
 scanner.setFin();
 }
}

public void clear()
{
 data = new StringBuffer();
 data.append(host+": ");
}

public int getSize()
{
 return buflen;
}


public int getCnt()
{
 return cnt;
}

public String[] getText()
{
 return buffer;
}

private void pause(int time)
{
try {reciever.sleep(time);}
catch(Exception ex) {System.out.println(ex);}
}

}
