import java.awt.*;
import java.awt.event.*;

public class JHostChooser extends Frame implements ActionListener {

private Label hostL = new Label("Host:");
private Label portL = new Label("Port:");
private TextField host = new TextField(20);
private TextField port = new TextField(5);
private Panel p1 = new Panel();
private Panel okP = new Panel();
private Button ok = new Button("Use these settings");

public JHostChooser()
{
setSize(400,120);
setLocation(150,100);
setTitle("Connection...");
setLayout(new BorderLayout());
setBackground(Color.lightGray);

p1.add(hostL);
p1.add(host);
p1.add(portL);
p1.add(port);

host.setText(JNet.host.getText());
port.setText(JNet.port.getText());

add("Center",p1);
add("South", okP);
okP.add(ok);
ok.addActionListener(this);

setVisible(true);
}

public void actionPerformed(ActionEvent e)
{
 if(e.getSource() == ok)
 {
  JNet.host.setText(host.getText());
  JNet.port.setText(port.getText());
  JNet.established = false;
  JNet.mayDispose = true;
  this.dispose();
 }
}

public Insets getInsets()
{
 Insets std = super.getInsets();
 return new Insets(std.top + 5, std.left + 5, std.bottom + 5, std. right + 5);
}


}
