import java.awt.*;
import java.awt.event.*;
import java.net.*;

public class JNet extends Frame implements ActionListener, WindowListener
{

private Label hostL = new Label("Host:");
private Label portL = new Label("Port:");
public static TextField host = new TextField(25);
public static TextField port = new TextField(5);
private Panel p1 = new Panel();
private Label comL = new Label("Command:");
private TextField com = new TextField(20);
private Panel p2 = new Panel();
private Panel p3 = new Panel();
private Button send = new Button("Transmit");
public static TextArea output = new TextArea();
private JConnection c;
public static boolean established = false;
public static boolean mayDispose = false;
private Button clear = new Button("Clear");
MenuBar mb = new MenuBar();
Menu file = new Menu("Prog");
Menu about = new Menu("About");
Menu session = new Menu("Session");
MenuItem close = new MenuItem("ExIt");
MenuItem changeHost = new MenuItem("Host...");
MenuItem info = new MenuItem("Info");

public JNet() { this("localhost"); }

public JNet(String hostname)
{
 host.setText(hostname);

 setSize(550,300);
 setLocation(50,50);
 setTitle("JNet");
 setBackground(Color.lightGray);
 setLayout(new BorderLayout(2,2)); 

p1.add(hostL);
p1.add(host);
p1.add(portL);
p1.add(port);
host.setEditable(false);
port.setEditable(false);
port.setText("25");

p2.add(comL);
p2.add(com);

com.addKeyListener(new KeyAdapter() {
public void keyReleased(KeyEvent e) { 
if(e.getKeyCode() == KeyEvent.VK_ENTER) {transmit();}}});

p2.add(send);
send.addActionListener(this);
p2.add(clear);
clear.addActionListener(this);

p3.add(output);
output.setEditable(false);

add("North", p1);
add("Center",p3);
add("South",p2);

com.setText("");

file.add(close);
close.addActionListener(this);
session.add(changeHost);
changeHost.addActionListener(this);
about.add(info);
info.addActionListener(this);
mb.add(file);
mb.add(session);
mb.add(about);

setMenuBar(mb);

addWindowListener(this);
setVisible(true);

JHostChooser jhc = new JHostChooser();
}

private void transmit() 
{
if(!established)
{
 c = new JConnection(host.getText(),Integer.parseInt(port.getText()), true);
 if(c.isThere()) {c.send(com.getText()); established = true;}
 else {System.out.println("No connection!");}
}
else
{
 if(c.isThere()) {c.send(com.getText());}
 else {System.out.println("No connection!");}
}

com.setText("");
}

public void actionPerformed(ActionEvent e)
{
 if(e.getSource() == send) {transmit();}
 if(e.getSource() == clear) {output.setText("");}
 if(e.getSource() == info) 
 {
  output.setText("Made by Alcoholic\nalc@beer.com\nhttp://alcoholic.home.pages.de\n\n");  
 }  
if(e.getSource() == close) {this.dispose();}
if(e.getSource() == changeHost)
{JHostChooser jhc = new JHostChooser();} }

public static void main(String argv[])
{
 JNet jr = new JNet();
}

private void debugWrite(String str)
{
 System.out.println(str);
}

public void windowClosing(WindowEvent e) {if(mayDispose) {this.dispose();}}
public void windowIconified(WindowEvent e) {}
public void windowDeiconified(WindowEvent e) {}
public void windowClosed(WindowEvent e) {}
public void windowActivated(WindowEvent e) {}
public void windowDeactivated(WindowEvent e) {}
public void windowOpened(WindowEvent e) {}

}
