import java.lang.reflect.*;
import java.io.*;

public class MailScanner implements Runnable, ScannerInterface
{
 private final int port = 25;
 private String host = "";
 private Thread runner;
 private boolean msg = true;
 public boolean fin = false;
 private DataInputStream in;
 
public MailScanner(String host)
{
 this(host,true);
}

public MailScanner(String host, boolean msg)
{
 this.host = host;
 this.msg = msg;
 fin = false;

if(host != null && !(host.length()<4))
{
 runner = new Thread(this);
 runner.start();
}
}

public void run()
{
  if(msg) { JCon.status("Starting MailerScan..."); }
  JConnection jcon = new JConnection(host,port,false);

if(jcon.isThere())
 {
  try
  {
   in = new DataInputStream(jcon.getInetInputStream());

   if(msg) { JCon.status("Connection established..."); }
   if(msg) { JCon.status("Sending QUIT"); }
   jcon.send("");
   String str = in.readLine();
   JCon.info.append(str+"\n\n");
   jcon.send("QUIT");
  }
catch(Exception ex) {System.out.println(ex); JCon.status("Error!");}

 }
else
 {
  System.out.println(host+": Service not available");
  if(msg) {JCon.status("Service offline!");}
 }
}

public void setFin() {fin = true;}

}
