#include <unistd.h>
#include <fcntl.h>
#include <sys/soundcard.h>
#include <stdio.h>

class AudioFile
{
 public:

// configuration
int run;
int msg;
int skip;
int bits;

// audio-vars
int audio_fd;
int format;
int stereo;
int speed;

// file + device
char *file;
char *device;

// main buffer
unsigned char data[4096];
signed short data16[4096];
int len;
int len16;

AudioFile()
{
 run = 1;
 msg = 1;
 skip = 0;
 bits = 8;

 audio_fd = -1;
 format = AFMT_U8;
 stereo = 1;
 speed = 44100;

 device = "/dev/dsp";

 len = sizeof(data);
 len16 =sizeof(data16);
}

};
