import java.lang.reflect.*;
import java.io.*;

public class AccountScanner implements Runnable, ScannerInterface
{
 private final int port = 21;
 private String host = "";
 private Thread runner;
 private boolean msg = true;
 private boolean fin = false;
 private String name;
 private String pass;
 private DataInputStream in;
 private boolean syst = true;
 private boolean fake = true;
 private boolean vtipvt = true;
 private boolean ftpd = true;
 private boolean vtipvtNow = false;
 private boolean fakeNow = false;

public AccountScanner(String host, boolean msg)
{
 this(host,msg,"anonymous","none@nowhere.com",true,true,true,true);
}

public AccountScanner(String host, boolean msg, String name, String pass)
{
 this(host,msg,name,pass,false,false,false,false);
}

public AccountScanner(String host, boolean msg, String name, String pass, boolean ftpd, boolean syst, boolean vtipvt, boolean fake)
{
 this.host = host;
 this.msg = msg;
 this.name = name;
 this.pass = pass;
 this.fake = fake;
 this.syst = syst;
 this.vtipvt = vtipvt;
 this.ftpd = ftpd;
 fin = false;

if(host != null && !(host.length()<4))
{
 runner = new Thread(this);
 runner.start();
}
}

public void run()
{

  if(msg) { JCon.status("Starting scan..."); }
  JConnection jcon = new JConnection(host,port,false);

if(jcon.isThere())
 {
  in = new DataInputStream(jcon.getInetInputStream());

  if(msg) { JCon.status("Connection established..."); }
  if(msg) { JCon.status("Sending USER"); }
  jcon.send("USER " + name);
  System.out.println("USER: "+name);

 if(Resource.contains(getStream("331", false),"331"))
 {
  if(msg) { JCon.status("Sending PASS"); }
  System.out.println("PASS: "+pass);
  jcon.send("PASS " + pass);
  getStream("230",true);

if(syst)
 {
  if(msg) { JCon.status("Sending SYST"); }
  jcon.send("SYST");
  getStream("215",true);
 }

if(vtipvt)
 {
  if(msg) { JCon.status("Sending CWD /_vti_pvt"); }
  vtipvtNow = true;
  jcon.send("CWD /_vti_pvt");
  getStream("250",true);
 }

if(fake)
 {
  fakeNow = true;
  if(msg) { JCon.status("Sending CWD /var"); }
  jcon.send("CWD /var");
  getStream("250",true);
 }

 }

if(msg) { JCon.status("Finished"); }
 }
else {if(msg) {JCon.status("FTP not available!");}
}

}

private String[] getStream(String until, boolean draw)
{
 while(true)
 {
  String[] tmp = new String[100];
  for(int i=0; i<100; i++)
  {
   try {
        tmp[i] = in.readLine();
        if(tmp[i] == null) {break;}
        System.out.println(tmp[i]);

        if(tmp[i].startsWith("530")) {break;}
        if(tmp[i].startsWith("550")) {break;}

        if(ftpd) {JCon.info.append(host+": "+tmp[i]+"\n"); ftpd = false;}

        if(tmp[i].startsWith(until))
        {

         if(draw)
         {
          if(until.equals("250") && vtipvtNow)  {JCon.info.append(host+": has _vti_pvt directory.\n"); vtipvtNow = false;}
          if(until.equals("250") && fakeNow)  {JCon.info.append(host+": seems to have no fake environment.\n"); fakeNow = false;}
          if(until.equals("230"))  {JCon.info.append(host+": Login ok."+name+":"+pass+"\n");}
          if(!until.equals("250") && !until.equals("213") && !until.equals("230")) {JCon.info.append(host+": "+tmp[i]+"\n");}
         }

         break;
        }
       }
  catch(Exception ex) {System.out.println(ex); break;}
  }
  return tmp;
 }
}

public void setFin() {fin = true;}

}
