import java.io.*;
import java.lang.reflect.*;

public class Executor
{

public Executor(String arg1, String arg2, int delay)
{

 RandomAccessFile rd;

 try 
 { 
 rd = new RandomAccessFile(arg2,"r"); 
 while(true)
 {
  try
  {
   String str = rd.readLine();
   if(str == null) {System.exit(0);}   
   Runtime rt = Runtime.getRuntime();
   rt.exec(arg1 + " " +str);
   pause(delay);
  }
  catch(Exception ex) {System.out.println(ex);}
 }
 }
 catch(Exception ex) {System.out.println(ex);}
}


public static void main(String argv[])
{
try 
{
 if(Array.getLength((Object) argv) != 3)
 {
  System.err.println("Usage: java Executor <command> <file> <delay>"); 
  System.exit(0);
 }
}
 catch(Exception ex) {System.err.println(ex);} 

Executor e = new Executor(argv[0], argv[1], Integer.parseInt(argv[2]));
}

private void pause(int time)
{
try {Thread.sleep(time);}
catch(Exception ex) {System.out.println(ex);}
}


}
