import java.awt.*;
import java.awt.event.*;

public class HostChooser extends Frame implements ActionListener, WindowListener {

private Label hostL = new Label("Host:");
private TextField host = new TextField("localhost",20);
private Panel p1 = new Panel();
private Panel okP = new Panel();
private Button ok = new Button("Use this host");

public HostChooser()
{
setSize(300,120);
setLocation(150,180);
setTitle("Connection...");
setLayout(new BorderLayout());
setBackground(Color.lightGray);

p1.add(hostL);
p1.add(host);

host.setText(JCon.host.getText());

add("Center",p1);
add("South", okP);
okP.add(ok);
ok.addActionListener(this);

addWindowListener(this);

JCon.status("Choose host");
StatusPanel.timer.add(new HStatusPanel(this,20000));
setVisible(true);
}

public void actionPerformed(ActionEvent e)
{
 if(e.getSource() == ok)
 {
  JCon.host.setText(host.getText());
  StatusPanel.timer.removeAll();
  JCon.status("Enter command...");
  this.dispose();
 }
}

public void notifyTimeout()
{
 StatusPanel.timer.removeAll();
 JCon.status("Enter command...");
 this.dispose();
}

public Insets getInsets()
{
 Insets std = super.getInsets();
 return new Insets(std.top + 5, std.left + 5, std.bottom + 5, std. right + 5);
}

public void windowClosing(WindowEvent e) {notifyTimeout();}
public void windowClosed(WindowEvent e) {} 
public void windowActivated(WindowEvent e) {} 
public void windowDeactivated(WindowEvent e) {} 
public void windowIconified(WindowEvent e) {} 
public void windowDeiconified(WindowEvent e) {} 
public void windowOpened(WindowEvent e) {} 

}
