import java.awt.event.*;
import java.io.*;
import java.lang.reflect.*;

public class ListExecutor implements Runnable, ActionListener
{
private int delay = 500;
private final int eDelay = 30000;
private int cnt = 0;
private String file = "";
private String which = "FTP";
private RandomAccessFile rd;
private boolean again = true;
private Thread runner;
private DelayChooser dlc;
private UserChooser dlc2;
private ProgChooser dlc3;
private boolean delayChosen = false;
private boolean userChosen = false;
private boolean progChosen = false;
private boolean second = false;
private boolean third = false;
private String user = "guest";
private String pass = "guest";
private String prog = "";

public ListExecutor(String file)
{
 this(file, 500, "FTP");
}

public ListExecutor(String file, String which)
{
 this(file, 500, which);
}

public ListExecutor(String file, int delay, String which)
{
 this.file = file;
 this.delay = delay;
 this.which = which;

 runner = new Thread(this);
 runner.start();
}

public void run()
{
 dlc = new DelayChooser(this);
 while(!delayChosen) {pause(200);}

if(which.equals("FTP_GUEST"))
{
 dlc2 = new UserChooser(this);
 second = true;
 dlc2.okUser.addActionListener(this);
 while(!userChosen) {pause(200);}
 System.out.println("using user: "+user+" pass:"+pass+"\n");
}

if(which.equals("PROG"))
{
 dlc3 = new ProgChooser(this);
 third = true;
 dlc3.okProg.addActionListener(this);
 while(!progChosen) {pause(200);}
 System.out.println("using prog: "+prog+"\n");
}

 try
 {
  rd = new RandomAccessFile(file,"r"); 
 }
 catch(Exception ex) {System.out.println(ex);}

 while(again)
 {
  cnt++;
  try
  {
   String str = rd.readLine();
   if(str == null) {again=false; break;}
   if(Resource.removeSpaces) {str = Resource.cut(str, " ");}
   JCon.status(str + " #"+cnt);   

if(which.equals("FTP")) {AccountScanner ftps = new AccountScanner(str, false);}
if(which.equals("FTP_GUEST")) {AccountScanner ftps = new AccountScanner(str, false,user,pass);}
if(which.equals("MAIL")) {MailScanner mails = new MailScanner(str, false);}
if(which.equals("WEB")) {WebScanner webs = new WebScanner(str, false);}
if(which.equals("PROG")) {String cmd = prog + " " + str; ExternProg progs = new ExternProg(cmd);}

 //  JCon.status("Started # " + cnt);
   pause(delay);
  }
  catch(Exception ex) {System.out.println(ex);}
 }
  JCon.status("Finished, " + (cnt-1) + " scanned.");
  pause(2000);

for(int i=0; i<30; i++)
 {
  JCon.status("Waiting "+(eDelay/1000 - i*(eDelay/30000))+" secs...");
  pause(eDelay/30);
 }

 JCon.status("Finished...");
}

public void actionPerformed(ActionEvent e)
{
 if(e.getSource() == dlc.okDelay)
 {
  dlc.okDelay.removeActionListener(this);
  try
  {
   delay = Integer.parseInt(dlc.getDelay());
   dlc.dispose();
   delayChosen = true;
  }
  catch(Exception ex)
  {
   delay = 500;
   dlc.delay.setText("500");
   pause(1000);
   dlc.dispose();
   delayChosen = true;
  }
 }

if(second)
{
 if(e.getSource() == dlc2.okUser)
 {
  dlc2.okUser.removeActionListener(this);

  user = dlc2.getUser();
  pass = dlc2.getPass();
  dlc2.dispose();
  userChosen = true;
 }
}

if(third)
{
 if(e.getSource() == dlc3.okProg)
 {
  dlc3.okProg.removeActionListener(this);

  prog = dlc3.getProg();
  dlc3.dispose();
  progChosen = true;
 }
}

}
private void pause(int time)
{
 try {Thread.sleep(time);}
 catch(Exception ex) {System.out.println(ex);}
}


}
