import java.awt.*;
import java.awt.event.*;
import java.net.*;

public class Scanner extends Frame implements ActionListener
{

TextField host = new TextField();
Button ok = new Button("Scan!");

TextField ftp = new TextField("Type host");
TextField telnet = new TextField("and finally");
TextField smtp = new TextField("press Scan!");
TextField pop = new TextField("for info...");
TextField other = new TextField("Enter a number here");

static Checkbox ftpL = new Checkbox("FTP (21):");
static Checkbox telnetL = new Checkbox("TELNET (23):");
static Checkbox smtpL = new Checkbox("SMTP (25):");
static Checkbox popL = new Checkbox("POP (110):");
static Checkbox otherL = new Checkbox("Other:");

static boolean first = true;

public Scanner() { this("localhost"); }

public Scanner(String hostname, boolean silent) 
{
 host.setText(hostname);
 setDefault();
 scan();
}

public Scanner(String hostname)
{
host.setText(hostname);

setSize(320,330);
setLocation(150,120);
setTitle("Scanner");
setLayout(new GridLayout(6,2,20,15));
setBackground(Color.lightGray);

addWindowListener(new WindowAdapter() {
    public void windowClosing(WindowEvent e) {dispose();}
                                        });

add(host);
add(ok);
ok.addActionListener(this);

add(ftpL);
add(ftp);
ftp.setEditable(false);

add(telnetL);
add(telnet);
telnet.setEditable(false);

add(smtpL);
add(smtp);
smtp.setEditable(false);

add(popL);
add(pop);
pop.setEditable(false);

add(otherL);
add(other);

setDefault();
setVisible(true);
}

public void setDefault()
{
 if(first)
 {
  ftpL.setState(true);
  telnetL.setState(true);
  smtpL.setState(true);
  popL.setState(true);
  otherL.setState(false);
  first=false;
 }
}

public void actionPerformed(ActionEvent e)
{
 if(e.getSource() == ok) {scan();}
}

private boolean test(String host, int port)
{
 JConnection jcon1 = new JConnection(host, port, false);
 if(!jcon1.isThere()) {return false;}
 else {return true;}
}

private void scan()
{
 JCon.status("Scanning...");
 String hostN = host.getText();

if(ftpL.getState())
{
 JCon.status("Scanning FTP..."); 
 if(!test(host.getText(),21)) {ftp.setText("no");}
 else {ftp.setText("yes, it is true..."); 
 JCon.info.append("FTP available... ["+hostN+"]\n");}
}

if(telnetL.getState())
{
 JCon.status("Scanning TELNET..."); 
 if(!test(host.getText(),23)) {telnet.setText("no way");}
 else {telnet.setText("yeah..."); 
 JCon.info.append("TELNET support... ["+hostN+"]\n");}
}

if(smtpL.getState())
{
 JCon.status("Scanning SMTP..."); 
 if(!test(host.getText(),25)) {smtp.setText("nope");}
 else {smtp.setText("yes, ok...");
 JCon.info.append("SMTP is there... ["+hostN+"]\n");}
}

if(popL.getState())
{
 JCon.status("Scanning POP..."); 
 if(!test(host.getText(),110)) {pop.setText("not at all");}
 else {pop.setText("yes, why not?");
 JCon.info.append("POP3 ok... ["+hostN+"]\n");}
}

if(otherL.getState())
{
 try
 {
  JCon.status("Scanning OTHER..."); 
  JCon.info.append("Port "+Integer.parseInt(other.getText())+" open? ");
  JConnection jcon5 = new JConnection(
  host.getText(), Integer.parseInt(other.getText()), false);  
  if(!jcon5.isThere()){other.setText("nothing there..."); JCon.info.append("no.\n");}  
  else {other.setText("yes, port answers...");
 JCon.info.append("yes. ["+hostN+"]\n");} 
 }
 catch(Exception ex) {other.setText("enter a number here...");}
}

JCon.info.append("\n");
 JCon.status("Finished...");
}

public Insets getInsets()
{
 Insets std = super.getInsets();
 return new Insets(std.top + 5, std.left + 5, std.bottom + 5, std. right + 5);
}

}
