import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

public class WebScanner implements Runnable
{

/*
Webserver-scan for cgi-bugs and other stuff
*/

private boolean msg = true;
private String host;
private Thread runner;
private DataInputStream in;
private int buflen = 100;
private String[] urls = new String[buflen];

public WebScanner(String host, boolean msg)
{
 this.msg = msg;
 this.host = host;

  urls = getList();
  runner = new Thread(this);
  runner.start();
}


public void run()
{
 if(msg) { JCon.status("CGI-Check "+host);}

for(int i=0; i<Resource.getLength(urls); i++)
{
 JConnection jcon = new JConnection(host, 80);
 if(!jcon.isThere()) {JCon.status("Port 80 closed.");}
 else
 {
 try
 {
 if(!urls[i].equals("notest"))
 {
  jcon.send(urls[i]);
  jcon.send("\n");
  System.out.println(urls[i]);
  in = new DataInputStream(jcon.getInetInputStream());

  String tmp = in.readLine();
  if(tmp == null) {break;}

 else
 {
  System.out.println(tmp);
  if(msg) {JCon.status(host+": "+urls[i]+"\n");}
  if(tmp.startsWith("HTTP/1.1 200 OK") | tmp.startsWith("HTTP/1.0 200 OK")) {JCon.info.append(host+": successful request - "+urls[i]+"\n");}
 }

 }
 }
 catch(Exception ex) {System.out.println(ex+"@Webscan.run()");}
 }
}

if(msg) {JCon.status("Webscan finished.");}
}

private String[] getList()
{
 boolean again = true;
 int cnt = 0;
 RandomAccessFile rd;
 String urls[] = new String[100];

 try
 {
  rd = new RandomAccessFile(Resource.webscanFile,"r");

 for(int i=0; i<buflen; i++)
 {
   String str = rd.readLine();
   if(str == null) {break;}

   if(!(str.length() < 3) && !str.startsWith("#"))
   {
    urls[i] = str;
   }
   else {urls[i] = "notest";}
 }
  }
  catch(Exception ex) {System.out.println(ex+"@Webscan.getList()");}

 return urls;
}

}
