import java.net.*;
import java.io.*;
import java.util.*;

public class Sniffer implements Runnable
{

private ServerSocket in;
private Thread reciever;
private int port = 25;

public Sniffer(int port)
{
 this.port = port;
 reciever = new Thread(this);
 reciever.start();
}

public void run()
{
 System.out.println("Reciever-init on port: " + port);
 
 try
 {
  while(true)
  {
   in = new ServerSocket(port);
   Socket s = in.accept();
   Date d = new Date();
   debugWrite("\nConnection detected on Port: " + s.getLocalPort());
   debugWrite("Host: " + s.getInetAddress());
   debugWrite("Port: " + s.getPort());
   debugWrite("Date: " + d. toLocaleString() +"\n");
   s.close();
   in.close();
  }
 }
 catch(Exception ex) {System.out.println(ex);}
}

private void debugWrite(String msg)
{
 System.out.println(msg);
}

private void pause(int time)
{
try {reciever.sleep(time);}
catch(Exception ex) {System.out.println(ex);}
}

public static void main(String argv[])
{
try {Sniffer sniffer = new Sniffer(Integer.parseInt(argv[0]));}
catch(Exception ex) {System.out.println("\nUsage: java Sniffer <port>\n");}
}

}
